<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>netcoreapp2.1</TargetFramework>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateFullPaths>true</GenerateFullPaths>
    <Version>8.0.0-alpha</Version>
    <FileVersion>8.0.0.0</FileVersion>
    <DocumentationFile>bin\$(Configuration)\$(TargetFramework)\$(AssemblyName).xml</DocumentationFile>
    <noWarn>1591</noWarn>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="wwwroot\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.App" Version="2.1.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.JsonPatch" Version="2.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="2.2.0" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="App.Metrics.AspNetCore.Mvc" Version="2.0.0" />
    <PackageReference Include="App.Metrics.Reporting.InfluxDB" Version="2.0.0" />
    <PackageReference Include="Bogus" Version="22.1.2" />
    <PackageReference Include="BouncyCastle.NetCore" Version="1.8.2" />
    <PackageReference Include="Enums.NET" Version="2.3.1" />
    <PackageReference Include="jose-jwt" Version="2.4.0" />
    <PackageReference Include="NLog" Version="4.5.6" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="4.5.4" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="2.1.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="2.4.0" />
  </ItemGroup>

  <Target Name="CopyCustomContent" AfterTargets="AfterBuild">
    <Copy SourceFiles=".\resource\de.json;.\resource\en.json;.\resource\es.json;.\resource\fr.json" DestinationFolder="$(OutDir)\resource" />
  </Target>

</Project>